Show: Inherited Protected Private Deprecated

# CKEDITOR.plugins.ae_menubridge Class

Defined in: `src/ui/react/src/uibridge/menu.jsx:9`

CKEditor plugin that bridges the support offered by CKEditor Menu plugin. It takes over the responsibility of adding, removing and retrieving menu groups and items

- editor.addMenuGroup(name, order)
- editor.addMenuItem(name, definition)
- editor.addMenuItems(definitions)
- editor.getMenuItem(name)
- editor.removeMenuItem(name)

## Constructor

### `CKEDITOR.plugins.ae_menubridge`

()

Defined in `src/ui/react/src/uibridge/menu.jsx:9`

## Index

### Methods

- addMenuGroup
- addMenuItem
- addMenuItems
- getMenuItem
- init
- removeMenuItem

## Methods

### `addMenuGroup`

(

- `name`
- `[order=100]`

)

Defined in `src/ui/react/src/uibridge/menu.jsx:43`

Registers an item group to the editor context menu in order to make it possible to associate it with menu items later.

#### Parameters:

- `name` String

  Specify a group name.

- `[order=100]` Number optional

  Define the display sequence of this group inside the menu. A smaller value gets displayed first.

### `addMenuItem`

(

- `name`
- `definition`

)

Defined in `src/ui/react/src/uibridge/menu.jsx:56`

Adds an item from the specified definition to the editor context menu.

#### Parameters:

- `name` String

  The menu item name.

- `definition` Object

  The menu item definition.

### `addMenuItems`

(

- `definitions`

)

Defined in `src/ui/react/src/uibridge/menu.jsx:72`

Adds one or more items from the specified definition object to the editor context menu.

#### Parameters:

- `definitions` Object

  Object where keys are used as itemName and corresponding values as definition for a {@link #addMenuItem} call.

### `getMenuItem`

(

- `name`

)
Object

Defined in `src/ui/react/src/uibridge/menu.jsx:84`

Retrieves a particular menu item definition from the editor context menu.

#### Parameters:

- `name` String

  The name of the desired menu item.

#### Returns:

Object:

### `init`

(

- `editor`

)

Defined in `src/ui/react/src/uibridge/menu.jsx:22`

Set the add handler for UI_BUTTON to our own. We do this in the init phase to override the one in the native plugin in case it's present.

#### Parameters:

- `editor` Object

  The CKEditor instance being initialized

### `removeMenuItem`

(

- `name`

)

Defined in `src/ui/react/src/uibridge/menu.jsx:95`

Removes a particular menu item added before from the editor context menu.

#### Parameters:

- `name` String

  The name of the desired menu item.